Instale python pip en Debian Wheezy

Pregunta:

¿Cómo instalar pip en Debian Wheezy?

He encontrado muchos consejos apt-get install python-pip pero el resultado es

"No se puede localizar el paquete python-pip"

¿Está pip disponible en Debian Wheezy? Estoy usando 7.8

Respuesta:

Aunque apt-get update podría parecerle ayudar, le recomiendo enfáticamente no usar pip instalado desde el repositorio Wheeze con apt-get install python-pip :

  • ese pip está en la versión 1.1 mientras que la versión actual es> 9.0
  • la versión 1.1 de pip tiene problemas de seguridad conocidos cuando se usa para descargar paquetes
  • la versión 1.1 no restringe las descargas / instalaciones a versiones estables de paquetes
  • carece de muchas funciones nuevas (como la compatibilidad con el formato de rueda) y no se corrigen errores (consulte el registro de cambios )
  • python-pip instalado a través de apt-get extrae algunos módulos de perl por cualquier motivo

A menos que esté ejecutando python2.4 más o menos que aún sea compatible con pip 1.1 (y que no debería usar de todos modos), debe seguir las instrucciones de instalación en la página de documentación de pip para descargar pip forma segura (no use la instalación insegura de pip install --upgrade pip con la versión 1.1, y ciertamente no instale ningún paquete con sudo pip ... con esa versión)

Si ya cometió el error de instalar pip versión 1.1, haga inmediatamente:

sudo apt-get remove python-pip

Después:

wget https://bootstrap.pypa.io/get-pip.py
python get-pip.py

(para cualquiera de las versiones de Python que haya instalado).

Las versiones de Python2 que comienzan con 2.7.9 y la versión de Python3 que comienzan con 3.4 tienen pip incluido de forma predeterminada.

Leave a Comment

Your email address will not be published. Required fields are marked *

Scroll to Top

web tasarım